/*                                                              */
/*                                                              */
/*  This file is free software, distributed under the terms     */
/*  of the GNU General Public License. See the file COPYING or  */
/*  http://www.fsf.org for more information.                    */
/*                                                              */
/*  numerics.h       (c) Diane Neisius   (diane_va@yahoo.com)   */
/*                                                              */
/*                                                              */
/*--------------------------------------------------------------*/
/*                                                               */
/*                                                               */
/*   Headerdatei fr die (zuknftige) Bibliothek libnumerics.a   */
/*                                                               */
/*                                                               */

/*                                                               */
/*               Runge-Kutta Verfahren 4.Ordnung                 */
/*                                                               */
/*
      erwartet folgende Voraussetzungen:

      - RUNGE_KUTTA_N mu in den Headerdateien oder im 
        Hauptprogramm auf die passende Dimension gesetzt 
        sein (geschieht hier!)

      - Es mu eine Funktion definiert sein, in der die 
        DGL y'=f(x,y) spezifiziert ist. Sie wird erwartet 
        als

        void f( yy, x, y ), wobei  yy und y ein double 
                                   array der Dimension
                                   RUNGE_KUTTA_N
                                   sind und x ein double.

        Der berechnete Wert von y' mu in yy bergeben 
        werden.

      - Der Aufruf des Verfahrens erfolgt dann mit

        runge_kutta( y_h, f, x, y, h ) , wobei h die 
                                               Schritt-
                                               weite ist.

        Der Wert y(x+h) wird in y_h zurckgegeben.

      11. 01.2002 ~Diane Neisius.

*/

# define RUNGE_KUTTA_N 5

void runge_kutta( double [], 
                  void (*f)( double [], double, double [] ),
                  double, double [], double );




